commit:     438e36ddf944c86ce960fa17e9848ada2b2b6a74
Author:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  6 22:01:19 2018 +0000
Commit:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
CommitDate: Fri Jul  6 22:06:15 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=438e36dd

sys-apps/rng-tools: bump to v6.3

Package-Manager: Portage-2.3.41, Repoman-2.3.9

 profiles/arch/amd64/package.use.mask               |  4 ++
 profiles/base/package.use.mask                     |  5 ++
 sys-apps/rng-tools/Manifest                        |  1 +
 .../rng-tools-6.3-jitterentropy-linking-fix.patch  | 36 +++++++++++
 sys-apps/rng-tools/metadata.xml                    |  3 +
 sys-apps/rng-tools/rng-tools-6.3.ebuild            | 69 ++++++++++++++++++++++
 6 files changed, 118 insertions(+)

diff --git a/profiles/arch/amd64/package.use.mask 
b/profiles/arch/amd64/package.use.mask
index 17a74679451..e1df758480b 100644
--- a/profiles/arch/amd64/package.use.mask
+++ b/profiles/arch/amd64/package.use.mask
@@ -17,6 +17,10 @@
 
 #--- END OF EXAMPLES ---
 
+# Göktürk Yüksek <[email protected]> (6 Jul 2018)
+# Dependency app-crypt/jitterentropy is keyworded for amd64
+sys-apps/rng-tools -jitterentropy
+
 # Rick Farina <[email protected]> (27 Jun 2018)
 # Catalyst has support for assembling bootloader on this arch
 dev-util/catalyst -system-bootloader

diff --git a/profiles/base/package.use.mask b/profiles/base/package.use.mask
index ed235414678..cff38ab6aaf 100644
--- a/profiles/base/package.use.mask
+++ b/profiles/base/package.use.mask
@@ -7,6 +7,11 @@
 # This file is only for generic masks. For arch-specific masks (i.e.
 # mask everywhere, unmask on arch/*) use arch/base.
 
+# Göktürk Yüksek <[email protected]> (6 Jul 2018)
+# Dependency app-crypt/jitterentropy is keyworded for
+# only a subset of the archs rng-tools supports
+sys-apps/rng-tools jitterentropy
+
 # Andreas Sturmlechner <[email protected]> (18 Jun 2018)
 # Qt4 is dead and going away. Bug #638260
 sci-libs/ViSP qt4

diff --git a/sys-apps/rng-tools/Manifest b/sys-apps/rng-tools/Manifest
index a72ffa68065..b5c76696588 100644
--- a/sys-apps/rng-tools/Manifest
+++ b/sys-apps/rng-tools/Manifest
@@ -1,4 +1,5 @@
 DIST rng-tools-5.tar.gz 122182 BLAKE2B 
de7085d530e38de21a1c33792d67a72e0131b221082d690cdb299367b80b0a123c2976174aa3f895a4a2ab1216aacfaa8e09de485c85154dc4a5b8f960d05245
 SHA512 
58047c37cad4f5f1210b696e4dba122878f78e57d05d9cb822f79234240ecce31efd2d39061fea1eb5b2e81d48d8c3bf6b92d06451f1ce5d5db7117704e89c50
 DIST rng-tools-6.1.tar.gz 29814 BLAKE2B 
4102c03ced36b33f9db6f7e5f77e8f918c4b9286a4c94cfd9ea9645c394f054fb3165255c3beb0f73d897d066831301f69a64e2758296b4418808343c97f3269
 SHA512 
388593ffeef0b5f2770532629418cdf1b6421092ae9c5fe0a68d198a5cbd4ff733fbca8091d497e09620c61a9e8b982298fb064edfd05a0fc36fa49c22eef5c9
 DIST rng-tools-6.2.tar.gz 30421 BLAKE2B 
646628095cbc611aee4113198e0874b5f0672cd787f04f1649ff350883edebe6b31753aef3ac2bca1f05eedcf3c1400435c084382bde9f97fe6dcdd71adf18c2
 SHA512 
ffd8be5b232f092f8bcfdb6281580ce9053ec8bb87ff6bcae76585c38e3e91b9e464a9544a33ecd9814a9f244a89bac973d15c9bd3560d1164559685c720d174
+DIST rng-tools-6.3.tar.gz 31474 BLAKE2B 
4d3924b3ca85d31d1999ceb45908cf64e8d2978d2e0aa638d9bbd3054a11a41251f9db54db35583c8fc080fd0667387cd63792c15486048d1f52300217e02fa9
 SHA512 
c00ac28c059ba689f114480958fe993e2199a1428137b151779a0331b9cc5a667f08770aa7b28d98c801166a509e8bd40d6b92f5c29b6ff73eb50a1cb0f2dd13
 DIST rng-tools-6.tar.gz 26024 BLAKE2B 
a523328fcce56997e2847940cdc096abd5a539135f857f0a4cd3d782a1659f4d2978870149caac47b839c80788df6a3d891adcd39371d5968149dd29bc46bc62
 SHA512 
2aea947c4dba5e8c4df33396957f7224b62200be0e3d10aac08c84155fa473a67df5f49e07a07b2cbea4dfd772d90c1b194e8fce3d8eea762463a7f4a16d6ce4

diff --git 
a/sys-apps/rng-tools/files/rng-tools-6.3-jitterentropy-linking-fix.patch 
b/sys-apps/rng-tools/files/rng-tools-6.3-jitterentropy-linking-fix.patch
new file mode 100644
index 00000000000..f7b87c88715
--- /dev/null
+++ b/sys-apps/rng-tools/files/rng-tools-6.3-jitterentropy-linking-fix.patch
@@ -0,0 +1,36 @@
+From c9f795da2dbeb0e85025f6264321aef1ba12059e Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?G=C3=B6kt=C3=BCrk=20Y=C3=BCksek?= <[email protected]>
+Date: Fri, 6 Jul 2018 17:20:28 -0400
+Subject: [PATCH] Makefile.am: use the libjitterentropy available on the system
+
+---
+ Makefile.am | 6 ++----
+ 1 file changed, 2 insertions(+), 4 deletions(-)
+
+diff --git a/Makefile.am b/Makefile.am
+index b80e9a0..5d33aaf 100644
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -2,9 +2,7 @@
+ ## Toplevel Makefile.am for rng-tools
+ ##
+ if JITTER
+- JSUBDIR = jitterentropy-library
+- JSUBLIB = ./jitterentropy-library/libjitterentropy.a
+- AM_CPPFLAGS = -I./jitterentropy-library
++ jitterentropy_LIBS = -ljitterentropy
+ endif
+ 
+ SUBDIRS               = contrib tests $(JSUBDIR) 
+@@ -33,7 +31,7 @@ if JITTER
+ rngd_SOURCES  += rngd_jitter.c
+ endif
+ 
+-rngd_LDADD    = librngd.a -lsysfs $(JSUBLIB) ${libcurl_LIBS} ${libxml2_LIBS} 
${openssl_LIBS}
++rngd_LDADD    = librngd.a -lsysfs $(jitterentropy_LIBS) ${libcurl_LIBS} 
${libxml2_LIBS} ${openssl_LIBS}
+ 
+ rngd_CFLAGS   = ${libxml2_CFLAGS} ${openssl_CFLAGS}
+ 
+-- 
+2.17.0
+

diff --git a/sys-apps/rng-tools/metadata.xml b/sys-apps/rng-tools/metadata.xml
index bda25e86a52..911b7587f66 100644
--- a/sys-apps/rng-tools/metadata.xml
+++ b/sys-apps/rng-tools/metadata.xml
@@ -10,6 +10,9 @@
        <name>Gentoo Base System</name>
 </maintainer>
 <use>
+       <flag name="jitterentropy">
+               Enable Jitter RNG entropy support
+       </flag>
        <flag name="nistbeacon">
                Enable NIST beacon entropy support
        </flag>

diff --git a/sys-apps/rng-tools/rng-tools-6.3.ebuild 
b/sys-apps/rng-tools/rng-tools-6.3.ebuild
new file mode 100644
index 00000000000..17386bfd005
--- /dev/null
+++ b/sys-apps/rng-tools/rng-tools-6.3.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools systemd toolchain-funcs
+
+DESCRIPTION="Daemon to use hardware random number generators"
+HOMEPAGE="https://github.com/nhorman/rng-tools";
+SRC_URI="https://github.com/nhorman/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~x86"
+IUSE="jitterentropy nistbeacon selinux"
+
+DEPEND="dev-libs/libgcrypt:0
+       dev-libs/libgpg-error
+       sys-fs/sysfsutils
+       jitterentropy? (
+               app-crypt/jitterentropy:=
+       )
+       nistbeacon? (
+               net-misc/curl[ssl]
+               dev-libs/libxml2:2=
+               dev-libs/openssl:0=
+       )
+"
+RDEPEND="${DEPEND}
+       selinux? ( sec-policy/selinux-rngd )"
+DEPEND="${DEPEND}
+       nistbeacon? (
+               virtual/pkgconfig
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}"/test-for-argp.patch
+       "${FILESDIR}"/${PN}-5-fix-textrels-on-PIC-x86.patch #469962
+       "${FILESDIR}"/${PN}-6.3-jitterentropy-linking-fix.patch
+)
+
+src_prepare() {
+       echo 'bin_PROGRAMS = randstat' >> contrib/Makefile.am || die
+       default
+
+       mv README.md README || die
+
+       if use jitterentropy; then
+               # Fool the build system into thinking that
+               # jitterentropy source code exists
+               touch "${S}"/jitterentropy-library/Makefile || die
+       fi
+       eautoreconf
+
+       sed -i '/^AR /d' Makefile.in || die
+       tc-export AR
+}
+
+src_configure() {
+       econf $(use_with nistbeacon)
+}
+
+src_install() {
+       default
+       newinitd "${FILESDIR}"/rngd-initd-6 rngd
+       newconfd "${FILESDIR}"/rngd-confd-4.1 rngd
+       systemd_dounit "${FILESDIR}"/rngd.service
+}

Reply via email to